# Uses of Interface
org.apache.commons.math3.ode.sampling.FieldStepHandler

Packages that use FieldStepHandler
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of FieldStepHandler in org.apache.commons.math3.ode

Classes in org.apache.commons.math3.ode that implement FieldStepHandler
Modifier and Type
Class
Description
`class`
`ContinuousOutputFieldModel<T extends RealFieldElement<T>>`
This class stores all information provided by an ODE integrator during the integration process and build a continuous model of the solution from this.
Methods in org.apache.commons.math3.ode that return types with arguments of type FieldStepHandler
Modifier and Type
Method
Description
`Collection<FieldStepHandler<T>>`
AbstractFieldIntegrator.`getStepHandlers()`
Get all the step handlers that have been added to the integrator.
`Collection<FieldStepHandler<T>>`
FirstOrderFieldIntegrator.`getStepHandlers()`
Get all the step handlers that have been added to the integrator.
Methods in org.apache.commons.math3.ode with parameters of type FieldStepHandler
Modifier and Type
Method
Description
`void`
AbstractFieldIntegrator.`addStepHandler(FieldStepHandler<T> handler)`
Add a step handler to this integrator.
`void`
FirstOrderFieldIntegrator.`addStepHandler(FieldStepHandler<T> handler)`
Add a step handler to this integrator.

## Uses of FieldStepHandler in org.apache.commons.math3.ode.sampling

Classes in org.apache.commons.math3.ode.sampling that implement FieldStepHandler
Modifier and Type
Class
Description
`class`
`FieldStepNormalizer<T extends RealFieldElement<T>>`
This class wraps an object implementing `FieldFixedStepHandler` into a `FieldStepHandler`.